<?php

namespace WebServiceCall\Util;

abstract class ArrayUtil {
    /*
     * Implementação simples de um método que se comporta como um zip. Os dois arrays devem ter o mesmo tamanho.
     * 
     * @param a: primeiro array para o zip
     * @param b: segundo array para o zip
     *
     * @return [[String, String]]: array zip-like dos dois arrays parâmetros.
     */
    public static function zipTwo ($companies, $passwords) {
        return array_map(function($company, $password) {
            return array(
                'COMPANY'  => $company,
                'PASSWORD' => $password
            );
        }, $companies, $passwords);
    }
}